curl --location --request GET 'https://api-prd.moonscale.com/api/v1/conversations?dateStart=1700000000&dateEnd=1700086400' \
--header 'Content-Type: application/json' \
--header 'x-api-key: <YOUR_API_KEY>'
{
"conversations": [
{
"conversationId": "uuid",
"startTimestamp": "2024-01-01T00:00:00.000Z",
"durationSeconds": 120,
"utm_id": "contact-id",
"utm_source": "source",
"transcript": [
{
"role": "assistant",
"type": "type",
"text": "text",
"timestamp": "2024-01-01T00:00:00.000Z"
}
],
"summary": "AI-generated summary of the conversation",
"liveAvatarId": "uuid"
}
]
}
Real-Time Avatars
Get conversations by date range
Retrieves conversations for all avatars owned by the authenticated user within a given time range. The range must not exceed 24 hours.
GET
/
api
/
v1
/
conversations
curl --location --request GET 'https://api-prd.moonscale.com/api/v1/conversations?dateStart=1700000000&dateEnd=1700086400' \
--header 'Content-Type: application/json' \
--header 'x-api-key: <YOUR_API_KEY>'
{
"conversations": [
{
"conversationId": "uuid",
"startTimestamp": "2024-01-01T00:00:00.000Z",
"durationSeconds": 120,
"utm_id": "contact-id",
"utm_source": "source",
"transcript": [
{
"role": "assistant",
"type": "type",
"text": "text",
"timestamp": "2024-01-01T00:00:00.000Z"
}
],
"summary": "AI-generated summary of the conversation",
"liveAvatarId": "uuid"
}
]
}
Headers
string
required
Your Moonscale API key used for authentication.
string
The content type of the request body. Always
application/json.Parameters
integer
required
Start of the time range as a Unix timestamp (seconds since epoch).
integer
required
End of the time range as a Unix timestamp (seconds since epoch). Must be after dateStart and within 24 hours.
string
Optional live avatar ID (UUID) to filter conversations to a specific avatar.
curl --location --request GET 'https://api-prd.moonscale.com/api/v1/conversations?dateStart=1700000000&dateEnd=1700086400' \
--header 'Content-Type: application/json' \
--header 'x-api-key: <YOUR_API_KEY>'
{
"conversations": [
{
"conversationId": "uuid",
"startTimestamp": "2024-01-01T00:00:00.000Z",
"durationSeconds": 120,
"utm_id": "contact-id",
"utm_source": "source",
"transcript": [
{
"role": "assistant",
"type": "type",
"text": "text",
"timestamp": "2024-01-01T00:00:00.000Z"
}
],
"summary": "AI-generated summary of the conversation",
"liveAvatarId": "uuid"
}
]
}
Responses
200:
Conversation[]
An array of conversation objects within the specified date range.
Show Conversation
Show Conversation
string
Unique identifier (UUID) of the conversation.
string | null
ISO 8601 timestamp of when the conversation started.
integer | null
Duration of the conversation in seconds.
string | null
The Contact ID passed via URL (utm_id parameter).
string | null
The UTM source parameter from the conversation URL.
Transcript[] | null
string | null
AI-generated summary of the conversation.
string
The ID (UUID) of the live avatar that hosted this conversation.
